### Virtual Method

# Foundry InputValidator validate

#### Declaration [src]

    DexFuture*
    validate (
      FoundryInputValidator* self,
      FoundryInput* input
    )

#### Description

No description available.

#### Parameters

`input`

  Type: `FoundryInput`

  A `FoundryInput`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.